<div class="container">
  <div>
    <h1 class="text-center my-3">Charakter erstellen</h1>
    <hr class="my-3"/>
    <form [formGroup]="characterForm" (ngSubmit)="createCharacter()">
      <div>
        <label>
          <p style="margin: 16px 0 0 0">Charaktername</p>
          <input class="form-control mb-4" formControlName="name" placeholder="Name">
        </label>
      </div>
      <div>
        <p style="margin: 16px 0 0 0">Rasse</p>
        <label>
          <select class="browser-default custom-select" formControlName="race">
            <option selected>Rasse wählen...</option>
            <option *ngFor="let option of races">{{option.name}}</option>
          </select>
        </label>
      </div>
      <div>
        <p style="margin: 16px 0 0 0">Klasse</p>
        <label>
          <select class="browser-default custom-select" formControlName="playerClass">
            <option selected>Klasse wählen...</option>
            <option *ngFor="let option of playerClasses">{{option.name}}</option>
          </select>
        </label>
      </div>
      <div>
        <p style="margin: 16px 0 0 0">Start-Equipment</p>
        <label>
          <select class="browser-default custom-select" formControlName="equipment">
            <option selected>Start-Equipment wählen...</option>
            <option *ngFor="let option of equipments">{{option.name}}</option>
          </select>
        </label>
      </div>
      <button mdbBtn color="red" class="my-4" [disabled]="characterForm.invalid" type="submit">Charakter erstellen
      </button>
    </form>
    <div>
      <button mdbBtn color="red" class="my-4" (click)="cancel()">Abbrechen</button>
    </div>
  </div>
</div>
